#ifndef __CONFIG_H__
#define __CONFIG_H__


#include <avr/io.h>

#define TX_PIN                  PORTB4     // pin 3 on AtTiny and pin 12 on Arduino Uno


/* Roughly, how many SECONDS should I sleep between 2 transmissions ? */

#define SLEEPING_TIME_S         (900)

/*
 * Should I send a message twice ?
 * A real Oregon Scientific sensor sends a message twice but if you have a good RF reception, 
 * imho, sending a message twice is a waste of energy.
 * 0 : Don't send a message twice
 * 1 : Send a message twice
*/

#define SEND_MESSAGE_TWICE      (1)

/* Limit in mV for LOW Battery Alert */

#define LOW_BATTERY_ALERT       (2600)

/* Oregon Scientific protocol */

/* FOR THP  (0x5Axx ==> 0x5A20, 0x5A21, etc..)
 * CHANNEL
 * You could safely keep this as is (0x20)
*/

#define CHANNEL                 (0xA1)

/* FOR PCR800 (0x2Axx ==> 0x2A50, 0x2A51, etc..)
 * ID
 * Each sensor must have a unique ID
 * eg:
 * - first sensor:  0x50
 * - second sensor: 0x51
 * - third sensor:  0x52
 * - etc...
*/

#define ID                      (0x50)

#endif
